# \hhu\z\questtypesChoiceinputQuesttypeModel

Model of the ChoiceinputQuesttypeAgent for choosing between predefined input values.

## Summary

Methods
Properties
Constants
load()
factory()
checkClass()
getChoiceinputQuest()
getChoiceinputLists()
getChoiceinputChoices()
setCharacterSubmission()
getCharacterSubmission()
setTextForQuest()
setListForText()
No public properties found
No constants found
__construct()
$db
N/A
getClassName()
loadClass()
loadDriver()
connect()
loadModels()
No private properties found
N/A

File
  questtypes/choiceinput/ChoiceinputQuesttypeModel.inc
Package
  Default
Class hierarchy
  \nre\core\Model
  \nre\models\DatabaseModel
  \hhu\z\Model
  \hhu\z\models\QuesttypeModel
  \hhu\z\questtypes\ChoiceinputQuesttypeModel

## Tags

author | Oliver Hanraths oliver.hanraths@uni-duesseldorf.de

## Properties

### $db

    $db : \nre\models\DatabaseDriver

Database connection

#### Type

\nre\models\DatabaseDriver

#

Inherited from
  \nre\models\DatabaseModel

## Tags

static |

## Methods

### load()

    load(string  $modelName)

Load the class of a Model.

#### Parameters

string | $modelName | Name of the Model to load

#### Throws

\nre\core\ModelNotFoundException
\nre\core\ModelNotValidException

#

static

Inherited from
  \nre\core\Model

## Tags

None found

### factory()

    factory(string  $modelName)

Instantiate a Model (Factory Pattern).

#### Parameters

string | $modelName | Name of the Model to instantiate

#

static

Inherited from
  \nre\core\Model

## Tags

None found

### checkClass()

    checkClass(string  $className, string  $parentClassName)

Check inheritance of the QuesttypeModel-class.

#### Parameters

string | $className | Name of the class to check
string | $parentClassName | Name of the parent class

#### Throws

\hhu\z\models\ClassNotValidException

#

static

Inherited from
  \hhu\z\models\QuesttypeModel

## Tags

static |

### getChoiceinputQuest()

    getChoiceinputQuest(integer  $questId) : array

Get choiceinput-text for a Quest.

#### Parameters

integer | $questId | ID of Quest

#### Returns

array —

Choiceinput-text

#

## Tags

None found

### getChoiceinputLists()

    getChoiceinputLists(integer  $questId) : array

Get all lists of input values for a choiceinput-text.

#### Parameters

integer | $questId | ID of Quest

#### Returns

array —

List

#

## Tags

None found

### getChoiceinputChoices()

    getChoiceinputChoices(integer  $listId) : array

Get the list of values for a choiceinput-list.

#### Parameters

integer | $listId | ID of list

#### Returns

array —

Input values

#

## Tags

None found

### setCharacterSubmission()

    setCharacterSubmission(  $listId, integer  $characterId, string  $answer)

Save Character’s submitted answer for one choiceinput-list.

#### Parameters

| $listId |
integer | $characterId | ID of Character
string | $answer | Submitted answer for this list

#

## Tags

None found

### getCharacterSubmission()

    getCharacterSubmission(  $listId, integer  $characterId) : integer

Get answer of one choiceinput-list submitted by Character.

#### Parameters

| $listId |
integer | $characterId | ID of Character

#### Returns

integer —

Submitted answer for this list or null

#

## Tags

None found

### setTextForQuest()

    setTextForQuest(integer  $userId, integer  $questId, string  $text)

Set the text for a Quest and correct choice input lists count.

#### Parameters

integer | $userId | ID of user setting text
integer | $questId | ID of Quest to set text for
string | $text | Text for Quest

#

## Tags

None found

### setListForText()

    setListForText(integer  $questId, integer  $number, array  $choices, integer  $correctPos)

Set list of choices for a text.

#### Parameters

integer | $questId | ID of Quest to set choices for
integer | $number | List number
array | $choices | List of choices
integer | $correctPos | Position of correct answer

#

## Tags

None found

### __construct()

    __construct()

Construct a new Model.

TODO Catch exception

#### Throws

\nre\core\DatamodelException
\nre\core\DriverNotFoundException
\nre\core\DriverNotValidException
\nre\core\ModelNotValidException
\nre\core\ModelNotFoundException

#

Inherited from
  \nre\core\Model

## Tags

None found

### getClassName()

    getClassName(string  $modelName) : string

Determine the classname for the given Model name.

#### Parameters

string | $modelName | Model name to get classname of

#### Returns

string —

Classname fore the Model name

#

static

Inherited from
  \nre\core\Model

## Tags

None found

### loadClass()

    loadClass(string  $questtypeName, string  $fullClassName)

Load the class of a QuesttypeModel.

#### Parameters

string | $questtypeName | Name of the QuesttypeModel to load
string | $fullClassName | Name of the class to load

#### Throws

\hhu\z\models\ClassNotFoundException

#

static

Inherited from
  \hhu\z\models\QuesttypeModel

## Tags

static |

### loadDriver()

    loadDriver(string  $driverName)

Load the database driver.

#### Parameters

string | $driverName | Name of the database driver

#### Throws

\nre\models\DriverNotFoundException
\nre\models\DriverNotValidException

#

Inherited from
  \nre\models\DatabaseModel

## Tags

None found

### connect()

    connect(string  $driverName, array  $config)

Establish a connection to the database.

#### Parameters

string | $driverName | Name of the database driver
array | $config | Connection settings

#### Throws

\nre\models\DatamodelException

#

Inherited from
  \nre\models\DatabaseModel

## Tags

None found

### loadModels()

    loadModels()

Load the Models of this Model.

#### Throws

\nre\core\DatamodelException
\nre\core\DriverNotFoundException
\nre\core\DriverNotValidException
\nre\core\ModelNotValidException
\nre\core\ModelNotFoundException

#

Inherited from
  \nre\core\Model

## Tags

None found

### ChoiceinputQuesttypeModel.inc